<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addftpserver_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addbackupserver_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $done, $keys;

softheader($l['<title>']);
  
echo page_header($l['add_backupserver'], 'icon icon-servers', '', 0, 0, '');

$breadcrumbs = array('dashboard', 'lm_servers', 'lms_addbackupserver');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo '<script>
$(document).ready(function(){
	toggle_keys_handle({chk_id : "ssh_key", pub_id : "ssh_pub_div", pri_id : "ssh_pri_div"});
	toggle_keys_handle({chk_id : "gen_key", pub_id : "ssh_pub_gen", pri_id : "ssh_pri_gen"});
	$("#ssh_key").click(function(){
		$("#gen_key").prop("checked", false);
		$("#ssh_pub_gen, #ssh_pri_gen").hide();
		$("#credentials").find("#password").val("");
		toggle_keys_handle({chk_id : "ssh_key", pub_id : "ssh_pub_div", pri_id : "ssh_pri_div"});
	});
	$("#gen_key").click(function(){
		$("#ssh_key").prop("checked", false);
		$("#ssh_pub_div, #ssh_pri_div").hide();
		$("#credentials").find("#password").val("");
		toggle_keys_handle({chk_id : "gen_key", pub_id : "ssh_pub_gen", pri_id : "ssh_pri_gen"});
	});
	
	var gen_sshpub_key = $("#gen_sshpub_key").val();
	var gen_sshpri_key = $("#gen_sshpri_key").val();
	$("#type").on("change", function(){
		if($(this).val() == "FTP"){
			$("#credentials").show();
			$("#ftps_div").show();
			$("#ssh_key, #gen_key").prop("checked", false);
			$("#genkeys, #sshkeys, #ssh_pub_div, #ssh_pri_div, #ssh_pub_gen, #ssh_pri_gen").hide();
			$("#gen_sshpub_key, #gen_sshpri_key").val("");
		}
		if($(this).val() == "SSH"){
			$("#genkeys, #sshkeys").show();
			$("#gen_sshpub_key").val(gen_sshpub_key);
			$("#gen_sshpri_key").val(gen_sshpri_key);
			$("#ftps_div").hide();
		}
  	});
})

function toggle_keys_handle(params){
	if($("#"+params["chk_id"]).is(":checked")){
		$("#credentials").hide();
		$("#"+params["pub_id"]+",#"+params["pri_id"]).show();
	}else{
		$("#credentials").show();
		$("#"+params["pub_id"]+",#"+params["pri_id"]).hide();
	}
};
</script>

<div id="form-container" class="card p-2 mx-3 mb-3">
	<form accept-charset="'.$globals['charset'].'" name="addbackupserver" method="post" action="" class="form-horizontal">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_name'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			<input type="text" class="form-control" name="name" id="name" size="30" value="'.POSTval('name', '').'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['hostname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_hostname'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			<input type="text" class="form-control" name="hostname" id="hostname" size="30" value="'.POSTval('hostname', '').'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
			<label class="control-label">'.$l['type'].'</label>
			</div>
			<div class="col-sm-4">
			<select class="custom-select" name="type" id="type">
				<option value="SSH" '.ex_POSTselect('type', 'SSH').'>SSH</option>
				<option value="FTP" '.ex_POSTselect('type', 'FTP').'>FTP</option>
			</select>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" id="ftps_div" style="display:none;">
			<div class="col-sm-4">
			<label class="control-label">'.$l['ftps'].'&nbsp;</label>
			</div>
			<div class="col-sm-4">
			'.get_checkbox('ftps', '', 'ftps', array('chk_it' => 1), 1, '').'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" id="sshkeys">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshkey'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ssh_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			'.get_checkbox('ssh_key', '', 'ssh_key', array('chk_it' => 1), 1, '').'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" id="genkeys">
			<div class="col-sm-4">
			<label class="control-label">'.$l['genkey'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['gen_key_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			'.get_checkbox('gen_key', '', 'gen_key', array('chk_it' => 1), 1, '').'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['username'].'</label>
			</div>
			<div class="col-sm-4">
			<input type="text" class="form-control" name="username" id="username" size="30" value="'.POSTval('username', '').'" />
			</div>
		</div>
		<div id="credentials" name="credentials">
			<div class="row mx-auto w-100 my-3">
					<div class="col-sm-4">
					<label class="control-label">'.$l['password'].'</label>
					</div>
					<div class="col-sm-4">
					<input type="password" class="form-control" name="password" id="password" size="30" value="'.POSTval('password', '').'" />
					</div>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" style="display: none;" name="ssh_pub_div" id="ssh_pub_div">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshpubkey'].'</label>
			</div>
			<div class="col-sm-4">
				<textarea  class="form-control font-monospace w-100" name="sshpub_key" rows="10" style="width:100%" id="sshpub_key" value="'.POSTval('sshpub_key', '').'"></textarea>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" style="display: none;" name="ssh_pri_div" id="ssh_pri_div">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshprikey'].'</label>
			</div>
			<div class="col-sm-4">
				<textarea  class="form-control font-monospace w-100" name="sshpri_key" rows="10" style="width:100%" id="sshpri_key" value="'.POSTval('sshpri_key', '').'"></textarea>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" style="display: none;" name="ssh_pub_gen" id="ssh_pub_gen">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshpubkey'].'</label>
			</div>
			<div class="col-sm-4 d-flex align-items-end">
				<textarea  class="form-control" name="gen_sshpub_key" rows="10" style="width:100%" id="gen_sshpub_key">'.POSTval('gen_sshpub_key', '').$keys['public_key'].'</textarea>
				<a class="btn ml-1 blue_btn py-1 px-2" href="'.$globals['index'].'act=addbackupserver&pubkey='.str_replace("\n", 'nextline', urlencode($keys['public_key'])).'&download_public_key=1" target="_blank"><i class="fas fa-file-download"></i></a>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3" style="display: none;" name="ssh_pri_gen" id="ssh_pri_gen">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sshprikey'].'</label>
			</div>
			<div class="col-sm-4 d-flex align-items-end">
				<textarea  class="form-control" name="gen_sshpri_key" rows="10" style="width:100%" id="gen_sshpri_key">'.POSTval('gen_sshpri_key', '').$keys['private_key'].'</textarea>
				<a class="btn ml-1 blue_btn py-1 px-2" href="'.$globals['index'].'act=addbackupserver&prikey='.str_replace("\n", 'nextline', urlencode($keys['private_key'])).'&download_private_key=1" target="_blank"><i class="fas fa-file-download"></i></a>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
			<label class="control-label">'.$l['port'].'</label>
			</div>
			<div class="col-sm-4">
			<input type="number" class="form-control" name="port" id="port" size="30" value="'.POSTval('port', '').'" />
			</div>
		</div>
		<br/><br/>
		<center>
			<input type="submit" class="go_btn" name="addbackupserver" value="'.$l['submit'].'">
		</center>
	</form>
</div>';

softfooter();

}

?>