<?php

//////////////////////////////////////////////////////////////
//===========================================================
// vsbandwidth_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function vsbandwidth_theme(){

global $theme, $globals, $cluster, $user, $l, $vpsusage, $available, $vpses, $sort_column, $sort_column_by;

softheader($l['<title>']);

echo page_header($l['heading'], 'fas fa-tachometer-alt', '', 0, '');

$breadcrumbs = ['dashboard', 'lm_resources', 'lms_vsbandwidth'];

echo get_breadcrumb($breadcrumbs);

echo '<div class="card p-2 mx-3">';

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){

	echo '<div class="e_notice"><img src="'.$theme['images'].'notice.gif" /> &nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

	if(count($vpses) < 1){
		echo '<div class="notice"><img src="'.$theme['images'].'notice.gif" /> &nbsp; '.$l['done'].'</div>';
	}else{
	
	$values = array();
	$total = 0;

	foreach($vpsusage as $k => $v){		
		$total += $v['used'];
		$pie[VM_SHORT.' ID - '.$k] = $v['used'];
		$values[$k] = '{"label" : '.$k.', data: '.$v['used'].'}';
		$pie_hex_color[] = '#' . str_pad(dechex(rand(0x000000, 0xFFFFFF)), 6, 0, STR_PAD_LEFT);
	}	
	
	if($available['used'] > $total){
		$pie['Server'] = $available['used'] - $total;
		$pie_hex_color[] = '#' . str_pad(dechex(rand(0x000000, 0xFFFFFF)), 6, 0, STR_PAD_LEFT);
	}

	$j_pie_axis = json_encode(array_keys($pie));
	$j_pie_value = json_encode(array_values($pie));
	$j_pie_hex_color = json_encode(array_values($pie_hex_color));

	echo '
	<center><div id="holder" style="width:500px; height: 400px"></div><br /><br /></center>
	<script type="text/javascript" charset="utf-8"><!-- // --><![CDATA[

	$(function () {
		var xValues = JSON.parse(\''.$j_pie_axis.'\');
		var yValues = JSON.parse(\''.$j_pie_value.'\');
		var barColors = JSON.parse(\''.$j_pie_hex_color.'\');

		var bw_options = {
			chart: {
				type: "pie"
			},
			series: yValues,
			labels: xValues,
			colors: barColors,
			tooltip: {
					enabled: true,
					y: {
						formatter: function(val) {
							return (val/1024).toFixed(2) + " GB";
						}
					}
			}
		};


		var chart = new ApexCharts(document.querySelector("#holder"), bw_options);
		chart.render();
	});

	$(document).ready(function(){
		
		$(".altrowstable tr").mouseover(function(){
			var old_class = $(this).attr("class");
			//alert(old_class);
			$(this).attr("class", "tr_bgcolor");
			
			$(this).mouseout(function(){
				$(this).attr("class", old_class);
			});
		});
		
		//Setting Sorting for the table
		const row_values = (tr, idx) => tr.children[idx].innerText || tr.children[idx].textContent;
		const parameters_compare = (idx, asc) => (a, b) => ((v1, v2) => 
			v1 !== " && v2 !== " && !isNaN(v1) && !isNaN(v2) ? v1 - v2 : v1.toString().localeCompare(v2)
			)(row_values(asc ? a : b, idx), row_values(asc ? b : a, idx));
		
		// Select the header and add evenrt listener 
		document.querySelectorAll("th").forEach(th => th.addEventListener("click", (() => {
			const table = th.closest("table");
			//we take n se plus 2 child to avoid tr and th, this will sort only td and tr
			Array.from(table.querySelectorAll("tr:nth-child(n+2)"))
				.sort(parameters_compare(Array.from(th.parentNode.children).indexOf(th), this.asc = !this.asc))
				.forEach(tr => table.appendChild(tr) );
		})));
	});

	
// ]]></script>
	
	<table class="table table-hover tablesorter common-table">
	<tr class="table_heading">
		<th class="text-center">'.$l['vpsid'].'<span class="pl-1 cursor-pointer"><i class="fas fa-sort"></i></span></th>
		<th align="center">'.$l['vpsname'].'<span class="pl-1 cursor-pointer"><i class="fas fa-sort"></i></span></th>
		<th align="center">'.$l['hostname'].'<span class="pl-1 cursor-pointer"><i class="fas fa-sort"></i></span></th>
		<th align="center">'.$l['usage'].'<span class="pl-1 cursor-pointer"><i class="fas fa-sort"></i></span></th>
		<th class="text-center">'.$l['limit'].'<span class="pl-1 cursor-pointer"><i class="fas fa-sort"></i></span></th>
	</tr>';

	foreach($vpses as $k=>$v){

		echo '
	<tr>
		<td align="center">'.$v['vpsid'].'</td>
		<td align="left">'.$v['vps_name'].'</td>
		<td>'.$v['hostname'].'</td>
		<td align="left">'.$vpsusage[$k]['used_gb'].'</td>
		<td align="center">'.(empty($vpsusage[$k]['limit_gb']) ? $l['unlimited'] : $vpsusage[$k]['limit_gb']).'</td>
	</tr>';

	}
	echo '</table>';
	}
}
echo '</div>';
softfooter();
}

